> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hightouch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Queue identifier values for reprocessing

> Trigger an async job to queue identifier values for reprocessing, optionally adding them to the blocklist.
If `block` is true (the default), identifier values will be added to the blocklist and ignored in future runs.
Clusters containing these identifier values will be queued for reprocessing.



## OpenAPI

````yaml https://api.hightouch.io/api/swagger.json post /idr/{graphId}/queue-for-reprocessing
openapi: 3.0.0
info:
  title: Hightouch API
  version: 1.0.0
  description: Hightouch Public Rest API to access syncs, models, sources and destinations
  contact:
    name: Hightouch
    url: https://hightouch.com
servers:
  - url: https://api.hightouch.com/api/v1
security: []
paths:
  /idr/{graphId}/queue-for-reprocessing:
    post:
      summary: Queue identifier values for reprocessing
      description: >-
        Trigger an async job to queue identifier values for reprocessing,
        optionally adding them to the blocklist.

        If `block` is true (the default), identifier values will be added to the
        blocklist and ignored in future runs.

        Clusters containing these identifier values will be queued for
        reprocessing.
      operationId: QueueForReprocessing
      parameters:
        - description: Required. ID of the graph containing the identifiers.
          in: path
          name: graphId
          required: true
          schema:
            type: string
      requestBody:
        required: false
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IdrQueueForReprocessingInput'
            example:
              identifiers:
                - identifier: email
                  value: a@b.com
                - identifier: phone
                  value: '1234567890'
              block: true
      responses:
        '200':
          description: >-
            ID associated with the reprocessing request. This can be used to
            query the status of the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdrQueueForReprocessingOutput'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '422':
          description: Validation Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateErrorJSON'
      security:
        - bearerAuth: []
components:
  schemas:
    IdrQueueForReprocessingInput:
      properties:
        identifiers:
          items:
            properties:
              value:
                type: string
              identifier:
                type: string
            required:
              - value
              - identifier
            type: object
          type: array
          description: >-
            e.g. [{ identifier: "email", value: "a@b.com" }]

            Identifier values will be queued for reprocessing.

            Clusters containing these identifiers will be reprocessed on the
            next run.
          maxItems: 1000
        block:
          type: boolean
          description: >-
            If true, identifier values will also be added to the blocklist and
            ignored in future runs.
          default: 'true'
      required:
        - identifiers
      type: object
      additionalProperties: false
    IdrQueueForReprocessingOutput:
      properties:
        requestId:
          type: string
          description: >-
            ID associated with the reprocessing request. This can be used to
            query the status of the request.
      required:
        - requestId
      type: object
      additionalProperties: false
    ValidateErrorJSON:
      properties:
        message:
          type: string
          enum:
            - Validation failed
          nullable: false
        details:
          properties: {}
          additionalProperties: {}
          type: object
      required:
        - message
        - details
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````